## param_put

### Use

You can change database parameter values. If you execute this DBM command, the system implicitly opens a parameter session. The parameter value is changed and checked against the properties, calculation formulas and conditions stored in the default parameter file. The change to the parameter is then confirmed and entered into the parameter file.

The system rejects the change to the parameter if the specified value or the change is impermissible due to the parameter properties.

You have the option of defining how long the change is effective:

● Until the next restart

● Not until after the next restart

● Immediately and permanently

However, changes that are only effective until the next restart can only be defined for database parameters with the property CHANGE=RUNNING.

See also:

param_getproperties (displays all properties for a database parameter)

Database Administration Tutorial, Changing the Value of an Individual Database Parameter, Changing the Values of Multiple Database Parameters

Concepts of the Database System, Database Parameters, Properties of Database Parameters

### Prerequisites

You have the server authorization ParamCheckWrite.

### Syntax

param_put [<durability>] <parameter_name> <new_value> [<comment>]

<durability>::= [-running] [-permanent]

Options

Option | Description

<durability>

Permanence of the change, possible values are:

-running: the change is valid immediately but only lasts until the database instance is next put in the operational state OFFLINE, in other words, until the database is next restarted or transferred to the operational state ADMIN. Afterwards the parameter reverts to its original value.

-permanent: the change is only made in the database parameter file. It is not effective immediately, only when the database instance is restarted.

-running –permanent: the change is effective immediately and persists even after a restart.

The system default is -permanent.

<parameter_name> | Name of the database parameter
<new_value> | New parameter value
<comment> | Comment saved for the database parameter. If the comment line contains spaces, you need to put the line in double quotation marks.

### Reply

OK

In the event of errors, see Reply Format.